********************* Version 1.12.1a ********************
    * Linux release of STW!

    * Minor updates to the Ferrousanguis, Sivania, and
      Odin's Fjord maps.

    * Torches now throw an ember when left clicking
      except in Player Owned Worlds.

    * Added the ability to remap hotkeys for Chemistry,
      Quests, Lore, and Game Tips menus.

    * Several potions have had their sprites updated.

    * Player can no longer go to the west of the Viking
      ship in Odin's Fjord.

    * The Ferrousanguis doors in the desert outpost do not
      need to be opened to enter Idla's office anymore.

    * Cloud in a Bottle has no sell value at shops.

    * Falling Stars no longer fall.

    * Jimmy (Angler) now lets you know how many minutes
      you have left in your challenge.

    * Added an attempted fix for the out of memory 
      exception on world transfers.

    * Updated smart cursor to work a bit better when
      mining.

    * Updated how Player Owned World files are named
      so that players with unique characters won't
      crash when they enter their POW.

    * Disabled world generation showing for Instance
      Worlds.

    * Fixed display for Silver Patron Helm.

    * Fixed display for Gold Patron Helm.

    * Fixed Pat's head from not showing up on the world
      map.

    * Fixed several bugs caused by using a weapons right
      click attack and switching items.

    * Fixed a bug where you could use a staff for 0 mana.

    * Fixed a bug that caused players to endlessly mine
      ore for XP.

    * Fixed a bug that caused the game to freeze up when
      fishing.

    * Fixed a bug that caused game to freeze up when
      a biome goblin spawned.

    * Fixed a bug that caused "settling liquids" freezing
      when generating an Instance World.

    * Fixed a null reference error when leaving Instance
      Worlds.

    * Fixed NPCs hitting some things incorrectly.

    * Fixed biome goblin portal animation.

    * Fixed Merchant's Diary not appearing in the Lore
      menu.

    * Minor text updates.

********************** Version 1.12a *********************
    * Updated STW to Terraria 1.3.3.2.

    * Updated Spears right click ability to a charged
      attack.

    * Updated Mana regen logic - Mage players rejoice!

    * Added the NPC Pat in Ayeswell.

    * Added a Snow Biome Themed Player Owned World in
      Kriki.

    * Added leaf particles to the Magic Leaf when used.

    * Town NPCs no longer attack Ferrousanguis Soldiers.

    * No more hammering tiles outside of PoWs.

    * Merchant no longer sells Shurikens.

    * Demolitionist no longer sells explosives. D:

    * Snake tile room in the Pyramid Dungeon will always
      reset now when the player Saves and Exits.

    * Fixed a bug caused by grabbing inventory items
      while using a right click attack.

    * Fixed shorcut not being triggered for the boulder
      dash room in the Pyramid Dungeon.

    * Fixed shortcut not being triggered for the first
      spike jump room.

    * Fixed a bug that prevented players from getting
      items from the Frozen Merchant.

    * Fixed a bug that prevented Giant Worms from giving
      XP.

    * Fixed a bug that caused backgrounds to now show
      how we indented.

    * Fixed some text formatting for a couple quests.

********************** Version 1.11a *********************
    * ~NEW~ Instance Worlds and Player Owned Worlds Added!
         * Instance Worlds are extra small, randomly
           generated and ready to explore!
         * Travel to your player's unique world and
           build your dream home in STW! 
         * See in Game Tip in-game for more information.

    * Major update to Odin's Fjord
          * Completely revamped the Lost Caverns and
            Frozen Mirror on the Wall quest. Solve the
            Caverns and fight a unique Mini-Boss to
            unlock new some new chilly weapons!
          * The Viking Village known as Kriki has been
            implemented and is accessible after completion
            of Frozen Mirror on the Wall.

    * Added ability to obtain the Shackle accessory.

    * Implemented Travel Menu for Sivania and Odin's Fjord
      via the Viking.

    * Fixed a couple world transitioning bugs that removed
      players spawn point.

    * Fixed a bug that prevented potion unlock points from
      being earned.

    * Fixed a bad bug that caused the game to freeze when
      fishing.

    * Fixed a bug that caused the Mine Cart Junction in
      Sivania to charge you four times.

    * Fixed a bug that allowed players to infinitely mine
      ore nodes without using the respawn timer.

    * Fixed a bug that kept ore nodes colored in active.

    * Fixed a bug that allowed players to right click on 
      the shackled debuff to remove it.

********************** Version 1.10a *********************
    * ~NEW~ A Ghoulish Task quest has been implemented!
            Speak to General Jesse in the Praesidium
            Fortress after completing Miki's Delivery
            Service Quest to start

    * Major update to the Desert Outpost and Pyramid in
      Sivania. 
          * The Outpost now has Ferrousanguis furniture
            and neutral soldier NPCs
          * The rooms in the Pyramid have had their
            trap mechanisms updated to 1.3

    * Added Player owned World Portal to Ayeswell ;)

    * Added all new Town NPC Heads to the mini map 

    * Added missing recipes for cooked fish! Cook your
      fish to regain HP

    * Added sound for when ore is added to your inventory

    * Added framework for death animations

    * Updated how XP per level is calculated, this fixes
      several issues related to negative XP needed for
      the next level

    * Updated Tutorial Island assets to be set to the
      players current quest progress

    * Updated auto-planted saplings to now grow in
      water

    * The range of pistol bullets has been lowered

    * Fixed spawn location if you leave Tutorial Island
      and you came from Sivania originally

    * Fixed a bug that caused a blank Game Tip page to
      appear if your previously opened Game Tip had
      more pages

    * Fixed a bad bug that prevented NPC stores from 
      opening up and causing inventory to not display
      correctly

    * Fixed a texture bug causing all sarcophaguses in
      the Pyramid of Sivania to not display correctly

    * Fixed a texture bug in the Praesidium Fortress'
      kitchen


********************** Version 1.9.1a *********************
    * Fixed a bug that prevented the completion of Mine
      Cart Madness Quest

    * Fixed a bug that prevented fish from being caught
      in the underground lake near the Bait Shoppe

    * Fixed a UI bug for when a safe was opened

********************** Version 1.9a *********************
    * ~NEW~ Tutorial Troubles quest has been implemented!
            New players will now start their Adventure 
            with a brand new Quest to help guide them.

    * Added a transition point in Sivania to the 
      Tutorial Region for existing characters - some
      quest issues may arise for these characters
   
    * Added the following Hotkeys:
       * P: Opens Game Tip Menu

    * Quest Items can no longer be dropped and instead
      will move to the trash slot if attempted

    * Completing Miki's Delivery Service grants now
      correctly grants +5 HP

    * Fixed a bug that reset the ore respawning timer to
      frequently

    * Fixed an issue with monsters not spawning due to
      despawning monsters filling up the monster spawn
      list

    * Fish are catchable again!

    * Graves no longer create tiles thus cannot block doors

    * Upset Nimbus now rains again

    * Several graphical fixes for alternate right click
      attacking weapons

    * Pistol no longer hits twice with alternate attack

    * Magic Leaf's price has been adjusted to zero

    * "Press control for more info" removed from non-
      weapon items


********************** Version 1.8.5a *********************
    * Updated STW to Terraria 1.3.1.

    * Added last known location for player to spawn when
      loading in the world.

    * Ice Imps are spawning again for Frozen Mirror on the
      Wall quest.

    * Can no longer swing sword when blocking.

********************** Version 1.8.4a *********************
    * ~NEW~ Access to the Ferrousanguis Region has been
            opened up! Head to the West in Sivania to
            find the trade route tunnel to Ferrousanguis.

    * ~!!!~ The exciting conclusion to Miki's Delivery
            service has been implemented!

    * ~!!!~ A brand new and beautiful Quest Log has been
            implement.

    * ~!!!~ Alternative right-click attack mechanics added
            added for the following weapons:
             * Bows: Charged Shot
             * BroadSwords: Block
             * Pistols: Melee Swing
             * Staves: Charged Shot
             * Spears: Charged Stab
             * More to come soon!
  
    * Added Arrow (Up, Down, and Up & Down) indications
      above the player's head when standing in front of a
      teleport/transition location.

    * Added 10 new NPC types that can be found in the
      Praesidium Fortress.

    * Added 26 new furniture sprites, most can be found in
      the Praesidium Fortress.
 
    * Added Shackled Debuff:
       * Movement speed reduced severely, can not use items,
         and thrown in jail

    * Added the following Hotkeys:
       * C: Opens Chemsitry Menu
       * L: Opens the Quest Log
       * O: Opens the Lore Log
   
    * Updated quest log text for nearly each quest.

    * Doors will now try to open the opposite direction
      the player is facing if they cannot open the way
      that the player is facing.

    * Added our own title and subtitle to the application.

    * Fireworks now shoot off when the player gains a
      level.

    * Added new "nuetral" NPC AI. The first NPC to have
      this AI is the Ferrousanguis Soldiers. They are
      friendly towards the player, but will attack back
      if struck first. More town type NPCs with this AI
      will be added.

    * The Angler in Sivania now sells bait!

    * The Frozen Merchant can no longer be killed by
      enemies.

    * Removed Sandbox Mode - Will be replaced shortly with
      something better.

    * Removed Multiplayer since it does not work yet.

    * Fixed the minimap not saving bug - yay!

    * Fixed a nasty bug causing traps to fire off way
      too quickly in the Pyramid Dungeon when a player
      leaves Sivania and comes back in the same game
      session.

    * Fixed a nasty bug causing ore to respawn way
      too quickly in Mines when a player leaves
      Sivania and comes back in the same game
      session.

    * Fixed a bug causing ores to not return to their
      normal color after Save and Exiting from Sivania.

    * Fixed a bug that caused two acorns to automatically
      be planted when a tree is chopped instead of just 1.

    * Fixed a bug causing the background images in
      Sivania's Desert Outpost from drawing correctly.

    * Fixed various enemie NPC spawn issues.

    * Fixed a bug where the Angler's Terraria Quest was
      was not using the STW terminology: Challenge

    * Can no longer say "Yes" or "No" right after the 
      Demolitionist says you need to train your skills to 
      start Minecart Madness.

********************** Version 1.8.3a *********************
    * Fixed a bug causing SteamAPI to crash Terraria for
      everyone :(

********************** Version 1.8.2a *********************
    * Updated Damage Tooltips for weapons. Hover your mouse
      over a weapon and press CTRL to see the following:
      Base Damage, +X% Level Mod, and Damage Per Second.

    * Mushroom Picking Quest now rewards the player with
      some Gel upon completion.

    * Updated drops of all Enemies found in Sivania.

    * XP is now based on damage dealt to a mob (more useful
      for multiplayer than single player).

    * Temporarily replace Game Tip Pop-Ups with a line of
      text telling you to look up the Game Tip. They will
      pop-up again when our official tutorial is complete.

********************** Version 1.8.1a *********************
    * Updates made to A Dryad's Distress quest:
        * Replaced 2nd Corrupt Archer Wave with Corrupt 
          Mages!
        * Increased knockback resist on Corruptor.
        * Reduced Corruptors HP, Damage, and Defense.
        * Dying while facing the Corruptor will no longer 
          advance the player to the next step in the quest.

    * Updated what drops from smashing Pots: Heart, Stars
        Glowsticks, Torches, Wooden Arrows, Lesser Mana
        Potion, Lesser Healing Potion, and Coins.

    * Updated Ore Respawn Logic:
       The timer for an ore node will reset everytime an
       ore is mined from that node. This makes ore 
       respawning more consistent.

    * The following "NPCs" no longer give XP when
      killed: 
        Chaos Ball, Vile Spit, Freezing Sphere, and 
        Burning Sphere.

    * Added Viking Shields to the Viking boat in Odin's 
      Fjord.

    * Removed an Umbrella from a chest found in The
      Great Forest.

    * Removed some areas in Sivania that a player could
      get stuck and have to mine themselves out.

    * Fixed a bug that allowed players to throw multiple
      boomerangs.

    * Fixed a bug that caused a null pointer exception to 
      be thrown when a player Save & Exits from The Great 
      Forest and then selects Adventure Mode.

    * All Super Terraria World Pistols' player hold
      animation use the same as Terraria Hand Guns'.

    * Crimtane Pistol is now a weapon instead of just an
      item.

    * Wooden Fishing Pole is now craftable again.

*********************** Version 1.8a **********************
    * ~NEW~ Finished A Dryad's Distress quest!

    * ~!!!~   QuestLog HeroMenu Updates:
              * Quests are now in alphabetical order.
              * Added A Dryad's Distress to the Quest Log.
              * Fixed some quest log text for Minecart Junction.
              * Renamed Temple of Ra "The Temple of Ra" in the Quest Log.
    * Added a few more NPC spawn areas to Sivania.

    * Added logic to support large doors. Currently we have 1 large door: SandStone.

    * Added Brazier tile support which includes Sandstone Brazier. The first brazier has been added to the game: Sandstone!

    * Added Viking Shield Tile Set. We currently have four Viking Shield tile sets: Red, Blue/Yellow, Gray, and Green!

    * Added "Always solid tiles" logic. Khaios actuates some tiles to make them look better, but in reality, we need them to be 
      solid. I've added logic to take care of this. 

    * Added teleport logic for the pyramid entrance/exit.

    * Added Sandstone Tables, Dark Wooden Stools, Melted Candles, and Sandstone Beds.

    * Added solid tiles on the Viking Ship in Desert Outpost.

    * Added more teleport locations. 
      Desert Outpost: Drain system. 
      Fossil Cave: Entrance and exit.

    * Added two background rooms for the Desert Outpost and the Background rooms from Osono's Inn.

    * Added the following enemies: Piranha, SandSlime, Vultures, and Scorpions.

    * Added zone logic for players. Currently only being used to correct the background.

    * Added and coded the traps in the Pyramid Dungeon.

    * Added 6x4 wall signs. Made them work like signs.

    * Added Sarcophagus. Added special logic for Sarcophagus to spawn a mummy.

    * Added melted candles, sandstone tables, sandstone beds, and dark wood stools to Desert Outpost.

    * Added test background for the desert outpost.

    * Added the Bound Dryad NPC. Updated how she spawns.

    * Added Corrupt Cultists. Corrupt cultists now spawn around the Bound Dryad.

    * Added text about no clues for Tim yet.

    * Added Viking Shields to boat.

    * Added Braziers to pyramid

    * Moved leaf tile closer to where Dryad stands during the ritual.

    * All beds will work as spawn point now regardless if they are in a valid room.

    * Change to NPCs (loot + xp), changes to Projectile Status

    * Updated NPCs to spawn one at a time.

    * Updated the Temple of Ra quest.

    * Updated shortcut logic for Temple of Ra.

    * Updated the spawn points of green and blue slimes.

    * Updated the Viking's chat text in the Desert Outpost of Sivania

    * Tweaked some traps in the pyramid.

    * Fixed two small bugs with new NPC Spawning.

    * Fixed a few typos in some lore.

    * Fixed Arrow crafing.

    * Fixed the spawn points of the NPCs in the desert outpost.

    * Fixed a bug with Temple of Ra Quest that made your progress increase every time you grabbed a new bottle.

    * Fixed some signs that were causing problems.

    * Cactus does not grow in the sand dunes of Sivania (I think)...
********************** Version 1.7.1a *********************
    * ~!!!~  A new dark and corrupt temple has been added
             to the world of Sivania deep beneath the
             Mining Village. This temple will be part of
             of future quest, but please visit it to
             see how creepy it truly is!

    * ~NEW~  First batch of wands have been added to the
             game: Copper, Tin, Iron, Lead, Silver,
                   Tungsten, Gold, and Platinum.

    * Sprites have been updated for the following
      staffs: Copper, Tin, Iron, Lead, Silver, Tunsten,
              Gold, Platinum, Demonite, Crimtane,
              Meteorite, Obsidian, and Hellstone.

    * Staff now use the correct 'use animation'.

    * The quest log now fills backwards so that the
      most recent task is always on the first page.

    * Updated the ore respawn timer logic to be more 
      dynamic.

    * Mushroom Slimes now spawn directly from the mushroom
      players chop.

    * Nerfed the Upset Nimbus.

    * Increased the chance of spawning an Upset Nimbus
      from 1 in 25 to 1 in 10.

    * Upset Nimbus always spawns outside of the Temple
      of Ra.

    * The Skeleton Merchant no longer spawns in 
      Adventure Mode.
    
    * The tooltip "Can be placed" has been removed from
      items.

    * The Nurse is no longer stuck in her house.

    * The Angler no longer gets stuck on a wall.

    * Updated the air bridge in the Pyramid so that
      players cannot fall on the edge of it into the
      spikes below.

    * Fixed a badly placed newline in the quest help text
      from the Demolitionist during Minecart Madness
      Quest.

    * Fixed three broken Mining tunnels.

    * Fixed a typo on a sign.

********************** Version 1.7a **********************
    * ~!!!~  Sivania map has been drastically updated:
             * New Shack for the Guide.
             * Updated Mushroom Cave.
             * Updated Bait Shoppe and underground lake.
             * Mining Village has expanding and looks
               absolutely fantastic!
             * Huge underground mine system below the
               Mining Village and Eastern end of Sivania.
               Press UP to 'enter' background tunnels.
             * There are now 129 ore nodes that can be
               mined!! Note - Copper through Platinum.

    * ~NEW~  Quest Indication System: A blue exclamation
             mark will now always be above the starting
             point of a quest, whether that is an NPC or
             static location. The exclamation point will
             also move around to points of interest as
             progress is made in the quest.

    * ~!!!~  Pickaxe, Mining, and Crafting Updates:
             * XP Gains for mining have been boosted by
               about 50%.
             * Number of bars required to make a full
               armor set (helm, chest, boots) has been
               reduced from 45 to 35.
             * A new and more flexible mining/pickaxe
               power logic has been implemented. 

    * Osono now sells a wide variety of pastries
      and breads.

    * Sugar Rush Buff gained when eating pastires sold
      by Osono. Buff details: Lower jump, auto jump,
      and increase walking speed.

    * Minecart Madness quest was updated: Need to place
      5 instead of 4 minecart tracks and mine 20 instead 
      of 5 stone tiles. Note - this only effects players
      created after this release.

    * Broad Swords should no longer show up as Barbaric
      in the crafting menu.

    * Slime King no longer spawns randomly.

    * Presents and Goodie Bags do not drop randomly from
      enemies.

    * Phoenix Blaster is now craftable.

    * Dirt is no longer minable.

    * Fixed a bug that caused the Upset Nimbus to not
      spawn when you mined a cloud.

    * Opening a safe no longer causes the game to crash.

    * Updated arrow sign sprites.

    * Fixed Shadow Hat animation.

    * Fixed Shadow Mask animation.

    * Fixed Obsidian Mask animation.

    * Added missing Ice Imp gore sprites.

********************** Version 1.6.2a *********************
    * Added Game Tips! These are broken into General
      Gameplay, Combat Skills, and Non-Combat Skills. The
      tips can be seen on the Hero Menu and will be
      displayed automatically when special triggers happen
      i.e. Loosing HP, Gaining XP in a skill or Mining non-
      ore tiles. Note: These triggers only happen once!

    * The Pyramid Dungeon for the Temple of Ra Quest is now
      easier to accomplish. Also fixed an area that was
      unfair (you could sometimes die when falling in water
      which was not intended).

    * Added a tooltip to the French Baguette (sold by Osono).

    * Updated Bullet Sprites for Copper-Meteorite (excludes
      Silver for now)
 
    * Added Gore sprites for Osono, Paul B, and Idla.
  
    * Updated Obsidian Bar sprite.

    * Fixed and updated Chemistry error text when creating
      a potion higher level than the players level.

    * Fixed and updated Mining error text when player mines
      ore higher than their level.

    * Fixed Crafting error text when crafting items higher
      than player crafting level.

    * Slime Rain is no longer possible during Adventure
      Mode.

    * Meteors will not drop during Adventure Mode.

    * Old Man no longer spawns on Adventure Mode.

    * The Traveling Merchant no longer spawns in Adventure
      Mode.

    * Antlion Swarmers no longer spawn on the Eastern Beach
      of Sivania.
    
    * Merchants now sell Empty Bullets.

    * Bullets are now actually craftable - They were not
      craftable even if a player had Empty Bullets somehow.

    * Slimey Mushroom no longer has an eat animation or
      sound when used.

    * Wood Fishing Pole is now craftable.

    * Removed all of the extra grass tiles in Sivania.

    * Updated some signs in Sivania.

    
********************** Version 1.6.1a *********************
    * Fixed a bug that caused no GUI to display
      in Sandbox Mode.

    * Fixed a bug that prevent the piggy bank and
      inventory to display when opening the bank.

********************** Version 1.6a **********************
    * ~!!!~  STW has been ported to Terraria 1.3!

    * ~NEW~  Miki's Delivery Service Quest has been added!
             Head on over to the Mining Village of Sivania
             and find a new town NPC named Osono ready for
             some help! You'll meet two other new NPCs
             before you finish this quest!

    * ~!!!~  The Sivania Mining Village now has a Bakery
             & Inn. A fantastic Sawmill has been added to
             the forest to the the Mining Village. A
             minecart track below the Mining Village has
             been started- please note that ore does not
             respawn here yet.

    * Implemented new Area Triggers for traps. This
      fixes some bugs in the Pyramid of Sivania.

    * Implement weapon modifier framework - related
      content and access updates coming soon.

    * Sivania has no night time now.

    * Added a campfire near the docks of Odin's
      Fjord.

    * Updated how town NPCs spawn: only NPCs
      designed for the map will spawn.

    * Upset Nimbus has been added in the game. When
      you mine clouds he has a chance of spawning.
      When killed he adds 100 charges to Cloud in a
      Bottle.

    * Item name coloring has been standardized
      for STW.

    * Desktop icon added.

    * Golden Ark is animated like Terraria chests.

    * Players now heal at a campfire again.

    * Tool tips now show for new STW items.

    * Can no longer obtain another Relic of Ra 
      while you have one.

    * Fixed gore sprites for Ice Imp.

    * Restructured the Content folder so that
      all STW content files stand by themselves.

********************** Version 1.5a **********************
    * ~NEW~  Minecart Madness Quest has been added!
             Head on over to the Mining Village of Sivania
             and find the Demolitionist to start the
             quest - he's had some trouble with the newly
             implemented Mining Junction of Sivania.

    * ~!!!~  Sivania has had a big update to not only help
             players navigate, but also to add more
             atmosphere to the game - Some areas still
             under construction and this is pointed out
             now. Some new features include:
             - New directional (Right and Left) signs
               help indicate where things are.
             - New mine shafts have been added in the
               Eastern parts of Sivania; an Upper and
               Lower section.
             - Clear path the Bait Shop has been added.
             - Areas that are underconstruction are
               clearly marked by signs now to give you
               a warning.
             - Ore deposits are located within and
               nearby the mining shafts.

    * ~NEW~  With the huge update to Sivania we have
             introduced a new ore regeneration mechanic:
             - Ore is statically located in the Upper and
               Lower Eastern Mines of Sivania.
             - When ore is mined it will turn a darker
               color and cannot be find for a fixed amount
               of time.
             - When the ore respawns it has a chance of
               spawning a different type of ore.
             - After ore has been mined, even if the ore
               is still there, it has a chance of
               changing its type.
             - Copper-Platinum ore will now spawn in said
               ares. NOTE: Higher tiered ore will not
                           spawn abovea certain depth.

    * New Meteor set effects have been added (these are
          Work-In-Progress).
          Melee:  Meteor falls on player upon taking
                  damage, deals damage to enemy.
          Magic:  Chance to also cast a meteor projectile
                  on spell cast. 
          Ranged: Upgrades all ranged weapons to pierce
                  enemies better (one additional pierce).

    * When a tree is completely chopped a sapling will be
      automatically planted in its place.
 
    * Trees no longer drop Acorns.

    * Copper-Crimtane bullets have been added - the rest
      will be coming soon.

    * The Guide correctly says the cave for Mushroom
      Picking Quest is to the West (he wrongly said to the
      East). 
    
    * Updated the altar sprite in the Pyramid for the 
      Temple of Ra Quest.
 
    * Updated the lectern sprite in Ra's Temple.
 
    * Obsidian Breastplate has been added.

    * Players no longer require a helmet to give a 
      default light radius.
    

********************** Version 1.4a **********************
    * ~NEW~ Temple of Ra Quest has been added!
            Make your way to the Desert Outpost of Sivania
            and try your best to survive the Desert 
            Pyramid's traps if you dare. A high reward is
            waiting for those who survive.
     
            Several new tiles, items and game mechanics
            have been implement for this quest. We really
            hope you enjoy it. :)
            

    * Fixed a bug with crafting XP giving WAY too much XP.

    * Bombs and Dynamite no longer destroy tiles.

    * Bombs and Dynamite damage reduced to 25 and 50.

    * Renamed all new STW Guns to Pistols since they are.

    * Updated Space Gun Sprite to match STW style Pistols.

    * Renamed Space Gun to Space Phaser.

    * Updated Musket Balls to be craftable with Copper/Tin.

    * Shadow and Crimson armor sets should now work as
      intended.

    * STW Fish tiers have been renamed:
          Old Name  -> New Name
          Small     -> Fry
          Big       -> Elder
          Huge      -> Ancient
      
    * ~NEW~ STW Fish added:
            Elder DoubleCod
            Ancient DoubleCod
            Elder Hemopiranha
            Ancient Hemopiranha
            Frost Minnow Fry
            Elder Frost Minnow
            Ancient Frost Minnow

    * Preloading projectiles to help with the lag caused
      when the first projectile in the game is fired.
      Still some lag - working on a fix for this.

    * Fixed all surface signs - Their text should properly
      be there now.

********************** Version 1.3a **********************
    * Remodeled the Underground Lake in Sivania:
      http://i.imgur.com/ugG5TK5.png
    
    * ~NEW~ Fishing Challenges implemented! Visit the
            Angler at the underground Bait Shop in
            Sivania. Read the sign at the Mountain
            Underpass entrance for more information.

    * Replaced Angler's Quests with Fishing Challenges.
  
    * Revamped Fishing Skill for Adventure Mode. 
      See the Wiki for more info:
      http://super-terraria-world.wikia.com/wiki/Fishing

    * Journeyman Bait is now craftable with 3 Gel.
 
    * Added Shadow (Demonite) Range and Mage Helms:
      Shadow Range Set Bonus:
          10% faster missile speed/use speed
      Shadow Mage Set Bonus:
          10% reduced mana usage
          10% faster use speed on magic items
                
    * Fixed a bug with Crismon Armor sets not requiring
      for set bonus.

    * Fixed sprite for Obsidian Bar.

    * Added Temple of Ra Quest to the Quest Log - Quest
      coming soon!

    * Edited some Quest Log text for Frozen Mirror on the
      Wall.


********************* Version 1.2.1a *********************
    * The Merchant NPC now sells Bottled Water instead of
      Empty Bottles.

    * Fixed display logic on the Chemistry Unlock Menu
      for potion unlock points between levels 47-52.

    * Fixed a bug that prevented XP gains for potions when
      you used your last ingredients.

    * Fixed a bug that prevented you from leveling up when
      you gained the exact amount of XP required to level.
 
    * Fixed a bug that prevented you from gaining potion
      unlock points.

    * Lowered the depth of where cave-ins can occur on
      Sivania.

    * The Guide NPC will only offer the Quest option for
      Mushroom Picking when the active map is Sivania.

********************** Version 1.2a **********************
    * ~NEW~ Cave-in algorithm implemented
          - Copper - Platinum ore can spawn in the tunnels of
            Sivania.

    * ~NEW~ framework implemented for easy implementation
      of multi-use weapons (this caps 1 use projectiles
      aka boomerangs).

    * Mushrooms now correctly spawn like in Terraria.

    * Fixed a bug where boomerangs were able to be thrown
      more than once, before returning to the player.

    * All torches and glowsticks will be depleted over
      time, not just normal torches.

    * Added warning for glowsticks burning out (at 
      3/4ths used).
 
    * No longer can you take items like torches, candles,
      bottles, books, etc... without enabling the single
      player beta option titled "Enable All Tile Mining".

    * Normalized/fixed Chemistry recipes for health/mana
      potions:
          - Now all require bottled water
          - Now all make only one potion
          - New Recipes: (subject to change)
                - Lesser Health/Mana:
                      - 1 Bottled Water
                      - 3 Gel
                      - 1 Mushroom/Slimey Mushroom
                - Health/Mana:
                      - 2 Lesser Health/Mana Potions
                      - 1 Glowing Mushroom
                - Greater Health/Mana:
                      - 2 Health/Mana Potions
                      - 1 Crystal Shard
                - Super Health/Mana:
                      - 2 Greater Health/Mana Potions
                      - 1 Unicorn Horn
  
    * Neutral critters no longer grant XP.

    * Changed 100% drop rate of slimey mushrooms to 1 in
      3 after killing your first Mushroom Slime during 
      the Mushroom Slime quest.

    * Fixed sprites for Orichalcum and Adamantite Arrows.
 
    * Added Crimson Magic and Range Helmet Variants.
          - Grant 2% Damage bonus when worn

    * Changed Crimson set effect to +5% lifesteal and +15% 
      effectiveness on health regeneration effects.

    * Changed Shadow set effect 
        Melee: +15% melee speed increase
      	All styles: 25% chance on hit to inflict Shadow Damage 
                    debuff to the NPC.
          - Currently only implemented for Melee.
          - Shadow Damage Debuff damages NPC over time.

    * Fixed Chemistry Buff Potion tooltips to accurately
      state the bonuses of each tier.
          - Buff Icons to be updated in a later release.

    * Updates to Sivania Map:
          - Fixed two areas that were inaccessible.
          - Added text to all the signs.
          - Various cleanups.
        

********************** Version 1.1a **********************
    * ~NEW~ damage formula implemented. Fixes bugs with
      damage being reduced on weapons when you level up.

    * ~New~ furniture added to the game: Boreal Lectern
      Wooden Closet, Boreal Closet, and Palm Wood Closet.

    * Palm Wood and Boreal Wood Chest armor no longer
      crash the game when equipt.

    * The Guide (Siv) now correctly says the cave is to
      the west for Mushroom Picking Quest.

    * Added comma to the home screen copyright.

    * Updated Chemistry Unlock Menu hover text.

    * Added more rope to access the Island in Sivania
      more easily

    * Replaced the Wooden Signs in The Lost Caverns
      with Boreal Lecterns
    

********************** Version 1.0a **********************
    * Initial release of SP Beta.